<?php
    $RichitemID = ( $this->session->has('create-richitemId') ) ? $this->session->get('create-richitemId') : $this->session->get('edit-richitemId') ;

    $name=null;$address=null;
    $richitem = \Houserich\Models\Richitem::findFirst($RichitemID);
    $name = $richitem->richitemNo;
    $address = $richitem->address;
?>
<section class="widget">
  <div class="widget-header">
    <h3><i class="fa fa-magic"></i>設定學區</h3>
  </div>
  <div class="widget-content">

  <form id="schoolForm1" class="form-inline form-validation" method="post" action="<?=$this->url->get('houserich/richitem/itemExtends/saveSchool-RichitemSchool');?>">
    <?
      $sform1 = new \House\Houserich\Forms\RichitemSchoolForm();
      if( !empty($RichitemID) ){
        $entity =\Houserich\Models\RichitemSchool::findFirst(["RichitemId={$RichitemID} AND level='國小'"]);
        if( $entity ){
          $sform1 = new \House\Houserich\Forms\RichitemSchoolForm($entity);
        }
      }
      $sform1->setRichitem($richitem)->setLevel('國小');
      echo $sform1->renderF();
    ?>
  </form>
  <br />
  <form id="school2Form" class="form-inline form-validation" method="post" action="<?=$this->url->get('houserich/richitem/itemExtends/saveSchool-RichitemSchool');?>">
    <?
      $sform2 = new \House\Houserich\Forms\RichitemSchoolForm();
      if( !empty($RichitemID) ){
        $entity =\Houserich\Models\RichitemSchool::findFirst(["RichitemId={$RichitemID} AND level='國中'"]);
        if( $entity ){
          $sform2 = new \House\Houserich\Forms\RichitemSchoolForm($entity);
        }
      }
      $sform2->setRichitem($richitem)->setLevel('國中');
      echo $sform2->renderF();
    ?>
  </form>

  </div>
</section>

<?
    echo $this->partial('../gis/map', array(
                          "gisform" => new \House\Core\Forms\GeomarkersForm(),
                          "gisType" => 'richitem',
                          "name" => $name,
                          "address" => $address,
                          "labelhide" => false,
                          "addressreadonly" => false ));

    echo $this->partial('../gis/distance', array(
                              "KeyID" => $RichitemID,
                              "gisType"=> "Richitem",
                              "modelclass" => 'RichitemMrt' ));

?>
<script>
$(function(){
    /**
     * Google Map
     * 處理座標點紀錄功能，針對計算距離具體作法
     * */
    geocoder = new google.maps.Geocoder();

    ADDRESS = $("#markaddress").val();
    // 地標名稱與地址抓取判斷（可能從載入頁面自訂細部操作）
    $("#mapqueryBtn").click(function(){
      if( ADDRESS == "" ){
          alert('請填寫完整地址後再次處理。')
          return ;
      }
      latLng = _map_center_withaddr( ADDRESS , 15, function(GEO, address){
        _map_add_marker(GEO, 1);
        _map_update_latlng(GEO);
        // console.log( address );
      });

      google.maps.event.trigger(gMap, 'resize');
    });

    if( $("#latitude").val() != "" && $("#longitude").val() != "" ){
        _map_center_withlatlng($("#latitude").val(), $("#longitude").val(), 15);
    }else if( ADDRESS != "" ){
        _map_center_withaddr(ADDRESS, 0);
    }
});
</script>
